<div class="container mt-50">
    <!-- partial:partials/_sidebar.html -->
    <div class="row ">

        <div class="col-lg-12">
            <div class="nine">
                <!-- <h1>Add Product</h1> -->

<div id="section3" class="">
<h2> </h2>
<div class="row">
<div class="col-lg-12">

<form [formGroup]="productForm" (ngSubmit)="onSubmit()">
    <div id="section2" class="">
        <h3>Ajouter un attribut</h3>
        <div class="row mb-3 pb-5">
            <div class="col-lg-12">
                <div class="row">
                    <div class="col-lg-2 txt-align">
                        <label class="">Attribute <i
                                class="fa-regular fa-circle-question"></i></label>
                    </div>
                    <div class="col-lg-10 txt-align"></div>
                    <div class="col-lg-10 position-r">
                        <div class="bg-f4" id="bg-f44">
                            
                            

                            <div class="row mb-3">
                                <div class="col-lg-2 txt-align">
                                    <label class="pt-6 mt-3">Option </label>
                                </div>
                                <div class="col-lg-10 position-r">
                                    <div class="wrapper">
                                        <div class="panel panel-default " id="addon">



<div class="panel-body">
    <table class="table table-bordered "  formArrayName="quantitiesTuesday" >
        <!-- old_variation_option_2 -->
        <ng-container  *ngIf="old_variation_option_2">
            <tr *ngFor="let quantity of quantitiesTuesday().controls; let i=index" [formGroupName]="i" >
                <input type="hidden" formControlName="old_variation_id" [(ngModel)]="old_variation_option_2[i]._id">
                <input type="hidden" formControlName="old_images" [(ngModel)]="old_variation_option_2[i].image">
                <div class="row-p mb-3">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-6">
                                    <select class="form-control" formControlName="old_color" [(ngModel)]="old_variation_option_2[i].color">
                                        <option value="">Veuillez sélectionner une valeur</option>
                                        <option *ngFor="let color_value of all_color" value="{{ color_value.color_name }}"
                                        
                                        >{{ color_value.color_name }}</option>
                                    </select>
                                </div>
                                <div class="col-md-6">
                                    <ng-select [items]="all_size" 
                                            [multiple]=true	
                                            bindLabel="name" 
                                            bindValue="name" 
                                            formControlName="old_size"  >
                                    </ng-select>


                                </div>
                            </div>
                        </div>
                        <div class="col-md-12 div_for_variation">
                            <div class="row">
                                <div class="col-md-4">
                                    <input type="number" class="form-control" id="secondSubVariationPrice{{i}}" placeholder="Prix de la variante" formControlName="old_price" [(ngModel)]="old_variation_option_2[i].price">
                                </div>
        
                                <div class="col-md-4">
                                    <input type="number" class="form-control" id="secondSubVariationStock{{i}}" placeholder="Stock de la variante" formControlName="old_stock" [(ngModel)]="old_variation_option_2[i].stock">
                                </div>
        
                                <div class="col-md-4">
                                    <input type="text" class="form-control" id="secondSubVariationSKU{{i}}" placeholder="SKU de la variante" formControlName="old_sku" [(ngModel)]="old_variation_option_2[i].sku">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12 div_for_variation">
                            <div class="row">
                                <div class="col-md-3" *ngFor="let im of old_variation_option_2[i].image">
                                    <img src="{{baseurl}}static/public/media/{{ im }} " height="150" width="150">
                                </div>
                            </div>
                        </div>
                        <div class="clearfix"></div><br>
                        <div class="col-lg-3 a-s-c">
                            <ul class="ad-ul">
                                <!-- <li><a><i
                                class="fa-solid fa-arrows-up-down-left-right"></i></a>
                                    </li> -->
                                <li (click)="removeOldSecondVariation(old_variation_option_2[i]._id)">
                                    <a class="trsh-d"><i
                                            class="fa-solid fa-trash"></i></a>
                                </li>
                            </ul>
                        </div>


                    </div>
                </div>
                
            </tr>
        </ng-container>
    </table>
</div>





<div class="panel-body">
    <table class="table table-bordered " formArrayName="quantities">
        <tr *ngFor="let quantity of quantities().controls; let i=index" [formGroupName]="i">
            <div class="row-p mb-3">
                    
                <div class="row">
                    <div class="col-md-12">
                        <div class="row">
                            <div class="col-md-6">
                                <select class="form-control" formControlName="color">
                                    <option value="">Veuillez sélectionner une valeur</option>
                                    <option *ngFor="let color_value of all_color" value="{{ color_value.color_name }}">{{ color_value.color_name }}</option>
                                </select>
                            </div>
                            <div class="col-md-6">
                                <ng-select [items]="all_size" 
                                        [multiple]=true	
                                        bindLabel="name" 
                                        bindValue="name" 
                                        formControlName="size"  >
                                </ng-select>
                            </div>
                        </div>
                    </div>        
                    <div class="col-md-12 div_for_variation">
                        <div class="row">
                            <div class="col-md-4">
                                <input type="number" class="form-control" id="secondSubVariationPrice{{i}}" placeholder="Prix de la variante" formControlName="price" >
                            </div>
        
                            <div class="col-md-4">
                                <input type="number" class="form-control" id="secondSubVariationStock{{i}}" placeholder="Stock de la variante" formControlName="stock">
                            </div>
        
                            <div class="col-md-4">
                                <input type="text" class="form-control" id="secondSubVariationSKU{{i}}" placeholder="SKU de la variante" formControlName="sku">
                            </div>
                        </div>
                    </div>

                    
                </div>

                <div class="col-lg-12">
                        


                    <p>Maximum six images sous une même couleur</p>
                    <div class="upload__box">
                        <div class="upload__btn-box">
                            <label class="upload__btn float-left">

                                <p><i
                                        class="fa-solid fa-camera fa-cam"></i>
                                </p>
                                <p>Télécharger à
                                    partir d'ici
                                </p>

                                <input
                                    formControlName="firstSubImage"
                                    id="file"
                                    type="file"
                                    class=""
                                    multiple=""
                                    (change)="onFileChange($event,i)"
                                    style="display:none;">
                            </label>
                        </div>
                        <div class="upload__img-wrap">
                            <div data-number="0" data-file="01-24-510x270.jpg" class="img-bg">
                                <!--<div class="upload__img-close"></div>-->
                            </div>
                        </div>
                    </div>





                </div>
                <div class="col-lg-3"></div>
                <div class="col-lg-12">
                    <div class="flex-parent" *ngIf="i == 0">
                        <div class="flex-childd" *ngFor='let url of images0 let j=index'>
                            <div class="reltv-b">
                                <img [src]="url">
                                <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                            </div>
                        </div>
                        <div class="clearfix">
                        </div>
                    </div>
                    <div class="flex-parent" *ngIf="i == 1">
                        <div class="flex-childd" *ngFor='let url of images1 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 2">
                        <div class="flex-childd" *ngFor='let url of images2 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>

                    <div class="flex-parent" *ngIf="i == 3">
                        <div class="flex-childd" *ngFor='let url of images3 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>

                    <div class="flex-parent" *ngIf="i == 4">
                        <div class="flex-childd" *ngFor='let url of images4 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>

                    <div class="flex-parent" *ngIf="i == 5">
                        <div class="flex-childd" *ngFor='let url of images5 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>

                    <div class="flex-parent" *ngIf="i == 6">
                        <div class="flex-childd" *ngFor='let url of images6 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 7">
                        <div class="flex-childd" *ngFor='let url of images7 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 8">
                        <div class="flex-childd" *ngFor='let url of images8 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 9">
                        <div class="flex-childd" *ngFor='let url of images9 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 10">
                        <div class="flex-childd" *ngFor='let url of images10 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 11">
                        <div class="flex-childd" *ngFor='let url of images11 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 12">
                        <div class="flex-childd" *ngFor='let url of images12 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 13">
                        <div class="flex-childd" *ngFor='let url of images13 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 14">
                        <div class="flex-childd" *ngFor='let url of images14 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 15">
                        <div class="flex-childd" *ngFor='let url of images15 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 16">
                        <div class="flex-childd" *ngFor='let url of images16 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 17">
                        <div class="flex-childd" *ngFor='let url of images17 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 18">
                        <div class="flex-childd" *ngFor='let url of images18 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                    <div class="flex-parent" *ngIf="i == 19">
                        <div class="flex-childd" *ngFor='let url of images19 let j=index'>
                            <img [src]="url" width="200px" height="200px">
                            <button type="button" class="btn btn-danger btn-sm imgRemoveBtn" (click)="removeImage(url,i,j)"><i class="fa-solid fa-xmark"></i></button>
                        </div>
                        <div class="clearfix">
                        </div><br>
                    </div>
                </div>
                <div class="col-lg-3 a-s-c">
                    <ul class="ad-ul">
                        <!-- <li><a><i
                            class="fa-solid fa-arrows-up-down-left-right"></i></a>
                        </li> -->
                        <li (click)="removeQuantity(i)">
                            <a class="trsh-d"><i
                                    class="fa-solid fa-trash"></i></a>
                        </li>
                    </ul>
                </div>
            </div>
        </tr>
    </table>
</div>




                                        </div>
                                    </div>



                                    <div class="row">
                                        <div class="col-lg-9">
                                            <div class="add_component">
                                                <ng-container *ngIf="add_quantity_number <=20">
                                                    <button type="button" class="btn btn-add-op" id="show/hide" (click)="addQuantity()"><i
                                                            class="fa-solid fa-circle-plus"></i>
                                                        Ajouter des options </button>
                                                </ng-container>

                                            </div>
                                        </div>
                                        <div class="col-lg-3 a-s-c">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col-lg-2 text-right"></div>
                                <div class="col-lg-10 position-r">

                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12 position-r displ p-0" style="display:none;">
                            <button type="button" class="btn btn-add-op"><i
                                    class="fa-solid fa-circle-plus"></i> Autoriser les
                                variations
                            </button>
                        </div>
                    </div>
                </div>
                <!-- <div class="row mt-3">
<div class="col-lg-2 txt-align a-c-s">
<label class="mb-0">Attribute 2</label>
</div>
<div class="col-lg-7 position-r">

<button type="button" class="btn btn-add-op"> <i
class="fa-solid fa-circle-plus"></i> Ajouter </button>
</div>
</div> -->
            </div>
        </div>
    </div>
    <div id="section3" class="">
        <!-- <h3>Informations sur les ventes</h3> -->
        <div class="row">
            <div class="col-lg-12">
                <!-- <div class="row">
                    <div class="col-lg-2 txt-align">
                        <label class="">Attribute 2 <i
                                class="fa-regular fa-circle-question"></i></label>
                    </div>
                    <div class="col-lg-10 txt-align"></div>
                    <div class="col-lg-10 position-r">
                        <div class="bg-f4">
                             
                            <div class="row mb-3 mt-3">
                                <div class="col-lg-2 txt-align">
                                    <label class="pt-6">Nom</label>
                                </div>
                                <div class="col-lg-10 position-r">
                                    <div class="row">
                                         

                                        

                                    </div>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col-lg-2 txt-align">
                                    <label class="pt-6 mt-3">Options</label>
                                </div>
                                <div class="col-lg-10 position-r">
                                    <div class="wrapper">
                                        <div class="panel panel-default " id="addon1">

                                            <div class="panel-body">
                                                <table class="table table-bordered " formArrayName="quantitiesMonday">
                                                    <tr *ngFor="let quantity of quantitiesMonday().controls; let i=index" [formGroupName]="i">
                                                        <div class="ad-optin">
                                                            <div class="ad-optinc">
                                                                <input type="text" class="form-control" id="" placeholder="Nom de la variante" formControlName="secondSubVariation">
                                                            </div>
                                                            <div class="ad-optinc">
                                                                <input type="number" class="form-control" id="secondSubVariationPrice{{i}}" placeholder="Prix de la variante" formControlName="secondSubVariationPrice" >
                                                            </div>

                                                            <div class="ad-optinc">
                                                                <input type="number" class="form-control" id="secondSubVariationStock{{i}}" placeholder="Stock de la variante" formControlName="secondSubVariationStock">
                                                            </div>

                                                            <div class="ad-optinc">
                                                                <input type="text" class="form-control" id="secondSubVariationSKU{{i}}" placeholder="SKU de la variante" formControlName="secondSubVariationSKU">
                                                            </div>
                                                            <div class="ad-optinc ad-optul">
                                                                <ul class="ad-ul">

                                                                    <li (click)="removeQuantityMonday(i)">
                                                                        <a><i
                                                                                class="fa-solid fa-trash"></i></a>
                                                                    </li>
                                                                </ul>
                                                            </div>
                                                        </div>
                                                    </tr>
                                                </table>


                                            </div>


                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-9">
                                            <div class="add_component">
                                                <ng-container *ngIf="add_quantity_monday_number <=19">
                                                    <button type="button" class="btn btn-add-op1" id="show1/hide1" (click)="addQuantityMonday()"><i
                                                            class="fa-solid fa-circle-plus"></i>
                                                        Ajouter des options</button>
                                                </ng-container>

                                            </div>
                                        </div>
                                        <div class="col-lg-3 a-s-c">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                        </div>
                        <div class="col-lg-12 position-r displ p-0" style="display:none;">
                            <button type="button" class="btn btn-add-op"><i
                                    class="fa-solid fa-circle-plus"></i> Ajouter des options
                            </button>
                        </div>

                        <div class="clearfix"></div>
                         


                    </div>
                </div>
                 
                <div class="row justify-content-end mt-5 pt-3">
                    <div class="col-lg-10 col-md-7 col-md-offset-2 col-lg-offset-2 position-r">
                        <div class="table-responsive br-6">
                            <table class="table table-bordered tbl-sell tbl-td-h">
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div> -->



                <div class="col-lg-12 position-r displ p-0">
                    <button type="submit" class="btn btn-fill w-100" [disabled]="regdis"><i
                            class="fa-solid fa-circle-plus"></i> Submit attribute <i class="fa fa-spinner fa-spin" *ngIf="loading"></i>
                    </button>

                    <div class="clearfix"></div><br><div class="clearfix"></div>

                    <div class="comeBack_up" *ngIf="apiResponse_2">
                        <div *ngIf="apiResponse_2.status == true; else loggedOut">
                            <div class="alert alert-success"><strong>{{ apiResponse_2.message
                                    }}</strong></div>
                        </div>
                        <ng-template #loggedOut>
                            <div class="alert alert-danger" *ngIf="apiResponse_2.message">
                                <strong>{{ apiResponse_2.message }}</strong></div>
                        </ng-template>
                    </div>


                </div>

            </div>
        </div>
    </div>

</form>

</div>
</div>
</div>






            </div>
            <!-- <footer class="footer">
                <div class="container-fluid clearfix">
                    <span class="float-none float-sm-right d-block mt-1 mt-sm-0 text-center"> © <a
                        >Vendeur.swift-fashion.com</a> 2022
                </span>
                </div>
            </footer> -->
        </div>

    </div>
    <!-- main-panel ends -->
</div>